Method: advertisers.negativeKeywordLists.negativeKeywords.create

  • A negative keyword is created in a negative keyword list using an HTTP POST request.

  • The request URL includes the advertiser ID and the negative keyword list ID as path parameters.

  • The request body should contain an instance of NegativeKeyword.

  • A successful response will contain a newly created instance of NegativeKeyword in the response body.

  • Authorization requires the https://www.googleapis.com/auth/display-video OAuth scope.

Creates a negative keyword in a negative keyword list.

HTTP request

POST https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiserId}/negativeKeywordLists/{negativeKeywordListId}/negativeKeywords

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
advertiserId

string (int64 format)

Required. The ID of the DV360 advertiser to which the parent negative keyword list belongs.

negativeKeywordListId

string (int64 format)

Required. The ID of the parent negative keyword list in which the negative keyword will be created.

Request body

The request body contains an instance of NegativeKeyword.

Response body

If successful, the response body contains a newly created instance of NegativeKeyword.

Authorization Scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.